org.jboss.resteasy.specimpl

## Class MultivaluedTreeMap<K,V>

- java.lang.Object
- - org.jboss.resteasy.specimpl.MultivaluedTreeMap<K,V>

- All Implemented Interfaces:
    Serializable, Map<K,List<V>>, MultivaluedMap<K,V>
  Direct Known Subclasses:
    CaseInsensitiveMap

      public class MultivaluedTreeMap<K,V>
      extends Object
      implements MultivaluedMap<K,V>, Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultivaluedTreeMap()`
    `MultivaluedTreeMap(Comparator<K> keyComparator)` Used to create a CaseInsensitiveMap
    `MultivaluedTreeMap(Map<K,V> map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(K key, V value)` Add a value to the current list of values for the supplied key.
    `void` | `addAll(K key, List<V> valueList)` Add all the values from the supplied value list to the current list of values for the supplied key.
    `void` | `addAll(K key, V... newValues)` Add multiple values to the current list of values for the supplied key.
    `static <K,V> void` | `addAll(MultivaluedMap<K,V> src, MultivaluedMap<K,V> dest)`
    `void` | `addFirst(K key, V value)` Add a value to the first position in the current list of values for the supplied key.
    `void` | `clear()`
    `MultivaluedTreeMap<K,V>` | `clone()`
    `static <K,V> MultivaluedTreeMap<K,V>` | `clone(MultivaluedMap<K,V> src)`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `static <K,V> void` | `copy(MultivaluedMap<K,V> src, MultivaluedMap<K,V> dest)`
    `Set<Map.Entry<K,List<V>>>` | `entrySet()`
    `boolean` | `equals(Object o)`
    `boolean` | `equalsIgnoreValueOrder(MultivaluedMap<K,V> omap)` Compare the specified map with this map for equality modulo the order of values for each key.
    `List<V>` | `get(Object key)`
    `V` | `getFirst(K key)` A shortcut to get the first value of the supplied key.
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `Set<K>` | `keySet()`
    `List<V>` | `put(K key, List<V> value)`
    `void` | `putAll(Map<? extends K,? extends List<V>> t)`
    `void` | `putSingle(K key, V value)` Set the key's value to be a one item list consisting of the supplied value.
    `List<V>` | `remove(Object key)`
    `int` | `size()`
    `String` | `toString()`
    `static String` | `toString(MultivaluedMap<?,?> map, String delimiter)`
    `Collection<List<V>>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultivaluedTreeMap

          public MultivaluedTreeMap()

    - #### MultivaluedTreeMap

          public MultivaluedTreeMap(Comparator<K> keyComparator)

      Used to create a CaseInsensitiveMap
      Parameters:
        `keyComparator` -

    - #### MultivaluedTreeMap

          public MultivaluedTreeMap(Map<K,V> map)

  - ### Method Detail

    - #### add

          public void add(K key,
                 V value)

      Description copied from interface: `MultivaluedMap`
      Add a value to the current list of values for the supplied key.
      Specified by:
        `add` in interface `MultivaluedMap<K,V>`
      Parameters:
        `key` - the key
        `value` - the value to be added.

    - #### getFirst

          public V getFirst(K key)

      Description copied from interface: `MultivaluedMap`
      A shortcut to get the first value of the supplied key.
      Specified by:
        `getFirst` in interface `MultivaluedMap<K,V>`
      Parameters:
        `key` - the key
      Returns:
        the first value for the specified key or null if the key is not in the map.

    - #### putSingle

          public void putSingle(K key,
                       V value)

      Description copied from interface: `MultivaluedMap`
      Set the key's value to be a one item list consisting of the supplied value. Any existing values will be replaced.
      Specified by:
        `putSingle` in interface `MultivaluedMap<K,V>`
      Parameters:
        `key` - the key
        `value` - the single value of the key

    - #### clone

          public MultivaluedTreeMap<K,V> clone()

      Overrides:
        `clone` in class `Object`

    - #### clone

          public static <K,V> MultivaluedTreeMap<K,V> clone(MultivaluedMap<K,V> src)

    - #### copy

          public static <K,V> void copy(MultivaluedMap<K,V> src,
                        MultivaluedMap<K,V> dest)

    - #### addAll

          public static <K,V> void addAll(MultivaluedMap<K,V> src,
                          MultivaluedMap<K,V> dest)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public static String toString(MultivaluedMap<?,?> map,
                        String delimiter)

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<K,List<V>>`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<K,List<V>>`

    - #### containsValue

          public boolean containsValue(Object value)

      Specified by:
        `containsValue` in interface `Map<K,List<V>>`

    - #### entrySet

          public Set<Map.Entry<K,List<V>>> entrySet()

      Specified by:
        `entrySet` in interface `Map<K,List<V>>`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Map<K,List<V>>`
      Overrides:
        `equals` in class `Object`

    - #### get

          public List<V> get(Object key)

      Specified by:
        `get` in interface `Map<K,List<V>>`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map<K,List<V>>`
      Overrides:
        `hashCode` in class `Object`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<K,List<V>>`

    - #### keySet

          public Set<K> keySet()

      Specified by:
        `keySet` in interface `Map<K,List<V>>`

    - #### put

          public List<V> put(K key,
                    List<V> value)

      Specified by:
        `put` in interface `Map<K,List<V>>`

    - #### putAll

          public void putAll(Map<? extends K,? extends List<V>> t)

      Specified by:
        `putAll` in interface `Map<K,List<V>>`

    - #### remove

          public List<V> remove(Object key)

      Specified by:
        `remove` in interface `Map<K,List<V>>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<K,List<V>>`

    - #### values

          public Collection<List<V>> values()

      Specified by:
        `values` in interface `Map<K,List<V>>`

    - #### addAll

          public void addAll(K key,
                    V... newValues)

      Description copied from interface: `MultivaluedMap`
      Add multiple values to the current list of values for the supplied key. If the supplied array of new values is empty, method returns immediately. Method throws a `NullPointerException` if the supplied array of values is `null`.
      Specified by:
        `addAll` in interface `MultivaluedMap<K,V>`
      Parameters:
        `key` - the key.
        `newValues` - the values to be added.

    - #### addAll

          public void addAll(K key,
                    List<V> valueList)

      Description copied from interface: `MultivaluedMap`
      Add all the values from the supplied value list to the current list of values for the supplied key. If the supplied value list is empty, method returns immediately. Method throws a `NullPointerException` if the supplied array of values is `null`.
      Specified by:
        `addAll` in interface `MultivaluedMap<K,V>`
      Parameters:
        `key` - the key.
        `valueList` - the list of values to be added.

    - #### addFirst

          public void addFirst(K key,
                      V value)

      Description copied from interface: `MultivaluedMap`
      Add a value to the first position in the current list of values for the supplied key.
      Specified by:
        `addFirst` in interface `MultivaluedMap<K,V>`
      Parameters:
        `key` - the key
        `value` - the value to be added.

    - #### equalsIgnoreValueOrder

          public boolean equalsIgnoreValueOrder(MultivaluedMap<K,V> omap)

      Description copied from interface: `MultivaluedMap`
      Compare the specified map with this map for equality modulo the order of values for each key. Specifically, the values associated with each key are compared as if they were ordered lists.
      Specified by:
        `equalsIgnoreValueOrder` in interface `MultivaluedMap<K,V>`
      Parameters:
        `omap` - map to be compared to this one.
      Returns:
        true if the maps are equal modulo value ordering.

Copyright © 2014. All Rights Reserved.